# VoidRay Engine – Game Use License Terms

This document outlines the allowed usage of games and projects created using the **VoidRay Engine**, which is licensed under the GNU General Public License v3.0 (GPLv3).

## 🔓 What You Can Do

If you are creating a game using VoidRay Engine, you are **free to**:

- ✅ **Publish, sell, and distribute** your game commercially or for free.
- ✅ **License your game however you like**, including closed-source, open-source, freeware, or commercial licenses.
- ✅ **Use any assets** (graphics, sounds, etc.) you own or have the rights to, even in commercial games.
- ✅ **Modify the engine** for your own use, as long as engine modifications follow the GPLv3 (see below).
- ✅ **Keep your game code closed**, as long as you don’t modify or directly include GPL-covered engine source code in your game’s proprietary parts.

## ⚠️ Requirements

To maintain clarity and attribution, the following rules apply:

- 📌 You **must credit** the engine with a visible **"Powered by VoidRay Engine"** notice somewhere in your game.  
  This can be in:
  - the main menu
  - a splash screen
  - the credits
  - or any other visible place in the game or documentation.

- 🔁 If you **modify the engine itself**, or directly use engine code outside its original public interface (e.g., copying internal source into your own closed systems), those parts must remain **open-source under GPLv3**.

## ❌ What You Can’t Do

- 🚫 You may **not remove or obscure** the required attribution ("Powered by VoidRay Engine").
- 🚫 You may **not relicense** or redistribute the engine code itself under a different license.
- 🚫 You may **not claim** that you created the VoidRay Engine.

## 🤝 Friendly Notes

- We welcome both hobby and professional use.
- There are no royalties or fees.
- You don't have to share your game's source unless you include or modify GPLv3 parts of the engine.

## 📬 Questions?

This license is designed to be fair and developer-friendly. If you’re unsure about anything, feel free to open an issue or contact the maintainers.

Happy coding!  
– The VoidRay Team
